[SciPy-user] additional superpak problems

belinda thom bthom at cs.hmc.edu
Sat Dec 30 17:56:04 CST 2006


Vincent,

I am now receiving only the errors you reported.

Here's the fix (taken from http://www.scipy.org/Installing_SciPy/ 
Mac_OS_X):
------------
for Power PC machines
A binary of g77 (version 3.4) is available from Guarav Khanna's High  
Performance Computing for Mac OSX site (Download here). Then gunzip  
g77v3.4-bin.tar.gz (if your browser didn't do so already) and:

sudo tar -xvf g77v3.4-bin.tar -C /
------------

the following appeared:
------------
69 % ll -t /usr/local/lib
total 14216
lrwxrwxrwx    1 root  wheel       18 Dec 30 15:29 libg2c.0.dylib@ ->  
libg2c.0.0.0.dylib
lrwxrwxrwx    1 root  wheel       18 Dec 30 15:29 libg2c.dylib@ ->  
libg2c.0.0.0.dylib
lrwxrwxrwx    1 root  wheel       18 Dec 30 15:29 libgcc_s.dylib@ ->  
libgcc_s.1.0.dylib

I then ran the scipy, numpy, and matplotlib superpak packages and was  
able to run numpy.test() and scipy.test().

It appears this g77 compiler must be installed for the libraries that  
scipy needs to exist.

Would it be possible to ensure that this was the case in side of the  
super pak itself? If so, it might save others the pain and agony I  
went through.

--b





More information about the SciPy-user mailing list